ru.bitel.bgbilling.modules.npay.api.server

## Class NpayUtils

- java.lang.Object
- - ru.bitel.bgbilling.modules.npay.api.server.NpayUtils

-     public class NpayUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NpayUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.math.BigDecimal` | `getAmountForUnlock(java.sql.Connection con, int moduleId, DebetStatusManageConfig config, ContractManager contractManager, int contractId)` Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
    `static java.math.BigDecimal` | `getAmountForUnlock(java.sql.Connection con, int moduleId, int contractId)` Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
    `static java.math.BigDecimal` | `getServiceCost(int moduleId, int contractId, int serviceId, java.util.Date dateFrom, java.util.Date dateTo)`
    `static java.math.BigDecimal` | `precalculateAccount(int moduleId, int serviceSet, int contractId, java.util.Date dateFrom, java.util.Date dateTo)` Будущая наработка для определения рекомендуемой к оплате суммы.
    `static ServiceCostCache` | `precalculateServiceCost(int moduleId, int serviceSet, int contractId, java.util.Date dateFrom, java.util.Date dateTo)` Будущая наработка для определения рекомендуемой к оплате суммы.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NpayUtils

          public NpayUtils()

  - ### Method Detail

    - #### getAmountForUnlock

          public static java.math.BigDecimal getAmountForUnlock(java.sql.Connection con,
                                                                int moduleId,
                                                                int contractId)
                                                         throws ru.bitel.bgbilling.common.BGException

      Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
      Parameters:
        `con` -
        `moduleId` -
        `contractId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAmountForUnlock

          public static java.math.BigDecimal getAmountForUnlock(java.sql.Connection con,
                                                                int moduleId,
                                                                DebetStatusManageConfig config,
                                                                ContractManager contractManager,
                                                                int contractId)
                                                         throws ru.bitel.bgbilling.common.BGException

      Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
      Parameters:
        `con` -
        `moduleId` -
        `config` -
        `contractManager` -
        `contractId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### precalculateServiceCost

          public static ServiceCostCache precalculateServiceCost(int moduleId,
                                                                 int serviceSet,
                                                                 int contractId,
                                                                 java.util.Date dateFrom,
                                                                 java.util.Date dateTo)
                                                          throws ru.bitel.bgbilling.common.BGException

      Будущая наработка для определения рекомендуемой к оплате суммы.
      Parameters:
        `moduleId` - ID модуля.
        `serviceSet` - набор услуг модуля.
        `contractId` - ID договора.
        `dateFrom` - дата начала активности договора (должна быть в одном месяце с dateTo).
        `dateTo` - дата окончания активности договора (должна быть в одном месяце с dateFrom).
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### precalculateAccount

          public static java.math.BigDecimal precalculateAccount(int moduleId,
                                                                 int serviceSet,
                                                                 int contractId,
                                                                 java.util.Date dateFrom,
                                                                 java.util.Date dateTo)
                                                          throws ru.bitel.bgbilling.common.BGException

      Будущая наработка для определения рекомендуемой к оплате суммы.
      Parameters:
        `moduleId` - ID модуля.
        `serviceSet` - набор услуг модуля.
        `contractId` - ID договора.
        `dateFrom` - дата начала активности договора (должна быть в одном месяце с dateTo).
        `dateTo` - дата окончания активности договора (должна быть в одном месяце с dateFrom).
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getServiceCost

          public static java.math.BigDecimal getServiceCost(int moduleId,
                                                            int contractId,
                                                            int serviceId,
                                                            java.util.Date dateFrom,
                                                            java.util.Date dateTo)
                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`